using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Components.Misc.DataGridScrollable
{
    /// <summary>
    /// A scrollable DataGrid
    /// </summary>
    public class DataGridScrollable : DataGrid
    {
        /// <summary>
        /// Scroll to the selected Row in the DataSource of the DataGridScrollable
        /// </summary>
        /// <param name="_Row">Row until scroll</param>
        public void ScrollToRow(int _Row)
        {
            //
            // Expose the protected GridVScrolled method allowing you
            // to programmatically scroll the grid to a particular row.
            //
            if (DataSource != null)
            {
                GridVScrolled(this, new ScrollEventArgs(ScrollEventType.LargeIncrement, _Row));
            }
        }
    }
}
